﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WpfApp3.Model
{
    public class EmployeeViewModel : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        public List<Employee> Employees { get; set; }

        public List<Branch> Branches { get; set; }

        public List<Book> Books { get; set; }

        public EmployeeViewModel()
        {
            Employees = new List<Employee>();
            Employees.Add(new Employee() { Name = "AA" });
            Employees.Add(new Employee() { Name = "BB" });

            Branches = new List<Branch>();
            Branches.Add(new Branch() { Name = "Electrical" });
            Branches.Add(new Branch() { Name = "Mechanical" });


            Books = new List<Book>();
            Books.Add(new Book() { Name = "Mech-Book-01" });
            Books.Add(new Book() { Name = "Mech-Book-02" });
            Books.Add(new Book() { Name = "Elec-Book-01" });
            Books.Add(new Book() { Name = "Elec-Book-02" });

        }
    }
}
